Bug 479633

Summary: Low maximum volume with pulseaudio
Product: [Fedora] Fedora Reporter: Nadav Har'El <nyh>
Component: alsa-libAssignee: Jaroslav Kysela <jkysela>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: bloch, jkysela, jonathanr.pritchard+bugzilla, lkundrak, sergio
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 704839 (view as bug list) Environment:
Last Closed: 2009-12-18 07:34:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nadav Har'El 2009-01-12 09:41:13 UTC
After upgrading from Fedora 9 to 10, suddenly every sound produced by my system has a very low volume, to the point that I had to crank up my speakers to full volume (something which I never had to do with Fedora 9) to hear music comfortably.

I made sure that "aumix" and "pavucontrol" are showing full volume.

I think the reason for this problem is as follows:

When I run "alsamixer" it shows that master volume is 100%. However, what it is showing is just the pulseaudio virtual card. What is actually happening is that this virtual card is sending data to pulseaudio which is sending its data to the *real* alsa card, but it seems that this real alsa card has its own volume setting and this volume setting is probably low and I have no way to control it!

I googled a bit and saw that people commonly report this bug, but the workaround they give (running "alsamixer -c 0" or "alsamixer -D hw:0" to set the volume in the real card, not the virtual one) doesn't work for me (it gives "alsamixer: function snd_mixer_load failed: Invalid argument").

If the low volume settings on the hardware alsa driver are indeed the culprit, I think that when Fedora is starting its virtual alsa driver, it should first make sure that the volume settings for the underlying real alsa are all set to 100%. I don't know why mine are (apparently) starting with a low volume.

Thanks.

Comment 1 Lennart Poettering 2009-02-25 03:19:21 UTC
Sounds like yet another defauult mixer initialization issue. Reaassigning to alsa-lib.

Please state which card you have.

Comment 2 Bug Zapper 2009-11-18 09:45:28 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-12-18 07:34:58 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jonathan Pritchard 2009-12-18 09:32:42 UTC
I'm still seeing this one under Fedora 11 so could somebody reopen it please.

Comment 5 Sergio Basto 2010-08-25 16:48:05 UTC
with gnome-volume-control put sound in 150 % to workaround ,
Low Maximum volume still happens on Fedora 13